From 913067940435431c95a6a42f2447b24d0958742e Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 02 2020 04:38:15 +0000
Subject: [PATCH 822/2232] Inline once used symlink function


---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 9a1ad0a..b42bbe0 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -172,7 +172,9 @@ fn generate_bridge(prj: &Project, build: &mut Build, rust_source_file: &Path) ->
     let ref rel_path_h = rel_path.with_appended_extension(".h");
     let ref header_path = paths::namespaced(&prj.out_dir, rel_path_h);
     write(header_path, &generated.header)?;
-    paths::symlink_namespaced(header_path, &prj.out_dir, rel_path);
+
+    let ref link_path = paths::namespaced(&prj.out_dir, rel_path);
+    let _ = paths::symlink_or_copy(header_path, link_path);
     if let TargetDir::Path(target_dir) = &prj.target_dir {
         let ref link_path = paths::namespaced(target_dir, rel_path);
         let _ = fs::create_dir_all(link_path.parent().unwrap());
diff --git a/gen/build/src/paths.rs b/gen/build/src/paths.rs
index c3238b3..5f6243f 100644
--- a/gen/build/src/paths.rs
+++ b/gen/build/src/paths.rs
@@ -40,10 +40,6 @@ pub(crate) fn namespaced(base: &Path, rel_path: &Path) -> PathBuf {
     path
 }
 
-pub(crate) fn symlink_namespaced(src: &Path, base: &Path, rel_path: &Path) {
-    let _ = symlink_or_copy(src, namespaced(base, rel_path));
-}
-
 pub(crate) trait PathExt {
     fn with_appended_extension(&self, suffix: impl AsRef<OsStr>) -> PathBuf;
 }

